Linux Archive

Linux Archive (http://www.linux-archive.org/)
-   Debian User (http://www.linux-archive.org/debian-user/)
-   -   help with xserver-xorg-video-ast (http://www.linux-archive.org/debian-user/681795-help-xserver-xorg-video-ast.html)

Shane Johnson 07-09-2012 10:24 PM

help with xserver-xorg-video-ast
 
hello everyone,I am hoping someone can help me. *I am running Wheezy and got a driver from Aspeed for their on-board video driver. *Loaded it and it worked until I installed xen-qemu-dm-4.0 and now when I try to re-install is says glibc-2.13 is required when 2.14 is installed. *I contacted Aspeeds tech support and they suggested I compile from source. *I got the source package and run autoconf and get a error that xorg-macros needs to be installed. *I located it in xutils-dev and installed that package but it is still giving me a error about xorg-macros. *I have run autoconf -v to try and find out if it is expecting the libraries somewhere and I just need to link to them but it doesn't give me any idea on where. *
Question 1 - is there a easier way to do this?Question 2 - anyone have any idea on what I need to do to compile this driver?
Thank you.
--
Shane D. Johnson
IT AdministratorRasmussen Equipment

Keith McKenzie 07-10-2012 07:37 AM

help with xserver-xorg-video-ast
 
On 9 July 2012 23:24, Shane Johnson <sdj@rasmussenequipment.com> wrote:

hello everyone,I am hoping someone can help me. *I am running Wheezy and got a driver from Aspeed for their on-board video driver. *Loaded it and it worked until I installed xen-qemu-dm-4.0 and now when I try to re-install is says glibc-2.13 is required when 2.14 is installed. *I contacted Aspeeds tech support and they suggested I compile from source. *I got the source package and run autoconf and get a error that xorg-macros needs to be installed. *I located it in xutils-dev and installed that package but it is still giving me a error about xorg-macros. *I have run autoconf -v to try and find out if it is expecting the libraries somewhere and I just need to link to them but it doesn't give me any idea on where. *

Question 1 - is there a easier way to do this?Question 2 - anyone have any idea on what I need to do to compile this driver?

Re Question 1 - in the past I have used a soft link in such situations; may work for you.



--
Sent from FOSS (Free Open Source Software)
Debian GNU/Linux

Shane Johnson 07-10-2012 06:45 PM

help with xserver-xorg-video-ast
 
*Keith,That was my plan but I can't find where the autoconf file is trying to locate the macros at? *I located /usr/share/aclocal/xorg-macros.m4 but I can't find where the link is supposed to be. *Any ideas?

ThanksShane

On Tue, Jul 10, 2012 at 1:37 AM, Keith McKenzie <km3952@gmail.com> wrote:



On 9 July 2012 23:24, Shane Johnson <sdj@rasmussenequipment.com> wrote:


hello everyone,I am hoping someone can help me. *I am running Wheezy and got a driver from Aspeed for their on-board video driver. *Loaded it and it worked until I installed xen-qemu-dm-4.0 and now when I try to re-install is says glibc-2.13 is required when 2.14 is installed. *I contacted Aspeeds tech support and they suggested I compile from source. *I got the source package and run autoconf and get a error that xorg-macros needs to be installed. *I located it in xutils-dev and installed that package but it is still giving me a error about xorg-macros. *I have run autoconf -v to try and find out if it is expecting the libraries somewhere and I just need to link to them but it doesn't give me any idea on where. *


Question 1 - is there a easier way to do this?Question 2 - anyone have any idea on what I need to do to compile this driver?

Re Question 1 - in the past I have used a soft link in such situations; may work for you.




--
Sent from FOSS (Free Open Source Software)
Debian GNU/Linux



--
Shane D. JohnsonIT AdministratorRasmussen Equipment

Keith McKenzie 07-11-2012 08:05 AM

help with xserver-xorg-video-ast
 
On 10 July 2012 19:45, Shane Johnson <sdj@rasmussenequipment.com> wrote:

*Keith,That was my plan but I can't find where the autoconf file is trying to locate the macros at? *I located /usr/share/aclocal/xorg-macros.m4 but I can't find where the link is supposed to be. *Any ideas?

Re :and now when I try to re-install is says glibc-2.13 is required when 2.14 is installed.
I would try something like

ln -s glibc-2.14 glibc-2.13

HTH
--
Sent from FOSS (Free Open Source Software)

Debian GNU/Linux


All times are GMT. The time now is 04:37 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.